curl --request POST \
--url https://api.qbank.cl/platform/v1/segregated-wallets/{walletID}/auto-forward \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"linked_address": "TColdWallet00000000000000000000000",
"enabled": true
}
'
{
"wallet_id": "b7e3a1c2-9f4d-4a8b-8c1e-2d3f4a5b6c7d",
"auto_forward": {
"enabled": true,
"linked_address": "TColdWallet00000000000000000000000"
}
}{
"error": "verification_required",
"message": "identity verification is required before using this service"
}{
"error": "not_found",
"message": "resource not found"
}Configure auto-forward
Forwards everything that arrives at the wallet to an address of yours. Redirects future funds, so it requires a verified account and OTP.
POST
/
v1
/
segregated-wallets
/
{walletID}
/
auto-forward
curl --request POST \
--url https://api.qbank.cl/platform/v1/segregated-wallets/{walletID}/auto-forward \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"linked_address": "TColdWallet00000000000000000000000",
"enabled": true
}
'
{
"wallet_id": "b7e3a1c2-9f4d-4a8b-8c1e-2d3f4a5b6c7d",
"auto_forward": {
"enabled": true,
"linked_address": "TColdWallet00000000000000000000000"
}
}{
"error": "verification_required",
"message": "identity verification is required before using this service"
}{
"error": "not_found",
"message": "resource not found"
}Authorizations
Session JWT (from register/login) or API key (pk_...).
X-API-Key: <token> is accepted as an alternative header.
Headers
Path Parameters
Body
application/json
Response
The updated rule.
The response is of type object.